aboutsummaryrefslogtreecommitdiff
path: root/installer
diff options
context:
space:
mode:
authorYasuhiro Matsumoto <mattn.jp@gmail.com>2019-12-16 01:57:58 +0900
committerYasuhiro Matsumoto <mattn.jp@gmail.com>2019-12-16 01:57:58 +0900
commitc0e34ebd84bc5d59affd66de97f596ed01688f03 (patch)
treeffd01605cfc7ff1469b7a1a932cc5b4e920e1ae6 /installer
parentc02b4e8b467828e1876487d9baedbdb4b51d9231 (diff)
downloadvim-lsp-settings-c0e34ebd84bc5d59affd66de97f596ed01688f03.tar.gz
vim-lsp-settings-c0e34ebd84bc5d59affd66de97f596ed01688f03.tar.bz2
vim-lsp-settings-c0e34ebd84bc5d59affd66de97f596ed01688f03.zip
Add installer for emmylua-ls
Diffstat (limited to 'installer')
-rwxr-xr-xinstaller/install-emmylua-ls.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/installer/install-emmylua-ls.sh b/installer/install-emmylua-ls.sh
new file mode 100755
index 0000000..8de6d53
--- /dev/null
+++ b/installer/install-emmylua-ls.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+[ -d ../servers/emmylua-ls ] && rm -rf ../servers/emmylua-ls
+mkdir ../servers/emmylua-ls
+cd ../servers/emmylua-ls
+curl -L -o EmmyLua-LS-all.jar 'https://ci.appveyor.com/api/buildjobs/54yf9rjvj49494pd/artifacts/EmmyLua-LS%2Fbuild%2Flibs%2FEmmyLua-LS-all.jar'
+
+cat <<EOF > emmylua-ls
+#!/bin/sh
+
+DIR=\$(cd \$(dirname \$0); pwd)
+java -cp \$DIR/EmmyLua-LS-all.jar com.tang.vscode.MainKt
+EOF
+
+chmod +x emmylua-ls